API ReferenceapicommunityGET /v1/users/{user_id}/following

GET /v1/users/\{user_id\}/following

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • user_id (string) required

Query parameters

  • cursor (string) —
  • limit (integer) —

Responses

200 Paginated list of following user summaries

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "user_id": {
            "type": "string"
          },
          "display_name": {
            "type": "string"
          },
          "avatar_url": {
            "type": [
              "string",
              "null"
            ]
          },
          "role_label": {
            "type": [
              "string",
              "null"
            ]
          },
          "follower_count": {
            "type": "number"
          }
        },
        "required": [
          "user_id",
          "display_name",
          "avatar_url",
          "role_label",
          "follower_count"
        ]
      }
    },
    "next_cursor": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "data",
    "next_cursor"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/users/{user_id}/following \
  -H "Authorization: Bearer $ACCESS_TOKEN"